List Voice profiles
curl --request GET \
--url https://api.photon.codes/v1/projects/{id}/platforms/voice/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.photon.codes/v1/projects/{id}/platforms/voice/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.photon.codes/v1/projects/{id}/platforms/voice/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profiles": [
{
"configuration": {
"inbound": {
"credentials": {
"username": "<string>"
},
"destinationUri": "<string>"
},
"outbound": {
"authentication": {
"algorithm": "sha-256",
"previousPasswordValidUntil": "2026-01-01T00:00:00.000Z",
"username": "<string>",
"validFrom": "2026-01-01T00:00:00.000Z"
},
"connection": {
"endpoints": [
{
"host": "<string>",
"port": 32768,
"transport": "udp"
}
],
"realm": "<string>"
}
}
},
"createdAt": "2026-01-01T00:00:00.000Z",
"isDefault": true,
"lineCount": 4503599627370495,
"mediaEncryption": "auto",
"name": "<string>",
"profileId": "<string>",
"projectId": "<string>",
"protocol": "sip",
"updatedAt": "2026-01-01T00:00:00.000Z",
"version": 123
}
],
"nextPageToken": "<string>"
}{
"code": "NOT_AUTHENTICATED",
"status": 401,
"title": "Not Authenticated",
"type": "https://photon.codes/docs/problems/not-authenticated"
}{
"code": "FORBIDDEN",
"status": 403,
"title": "Forbidden",
"type": "https://photon.codes/docs/problems/forbidden"
}{
"code": "VALIDATION_FAILED",
"issues": [
{
"code": "invalid_type",
"location": "json",
"message": "Expected a string.",
"path": "/name"
}
],
"status": 422,
"title": "Request Validation Failed",
"type": "https://photon.codes/docs/problems/validation-failed"
}{
"code": "RATE_LIMITED",
"status": 429,
"title": "Too Many Requests",
"type": "https://photon.codes/docs/problems/rate-limited"
}{
"code": "INTERNAL_ERROR",
"status": 500,
"title": "Internal Server Error",
"type": "https://photon.codes/docs/problems/internal-error"
}{
"code": "UPSTREAM_FAILURE",
"status": 502,
"title": "Upstream Service Failure",
"type": "https://photon.codes/docs/problems/upstream-failure"
}{
"code": "UPSTREAM_UNAVAILABLE",
"status": 503,
"title": "Upstream Service Unavailable",
"type": "https://photon.codes/docs/problems/upstream-unavailable"
}{
"code": "REQUEST_TIMEOUT",
"status": 504,
"title": "Request Timeout",
"type": "https://photon.codes/docs/problems/request-timeout"
}Voice
List Voice profiles
Lists reusable Voice profiles in this project. Requires platforms:read bound to the path project.
GET
/
v1
/
projects
/
{id}
/
platforms
/
voice
/
profiles
List Voice profiles
Authorizations
accountServiceKeyprojectApiKey
Account Service Key, prefixed with pho_ask_, sent as Authorization: Bearer <key>. Acts on behalf of its owning account, subject to the permissions and credential restrictions of each operation. Account access tokens and OAuth grants also use the Bearer header. In organizations that require SSO, Account Service Keys are not accepted for managing the organization's SSO settings, deleting the organization, or checking whether it can be deleted.
Path Parameters
Query Parameters
Available options:
true, false Required range:
1 <= x <= 200Minimum string length:
1Was this page helpful?
⌘I